curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/organisational_units \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/organisational_units"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/organisational_units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"results": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"name": "Engineering",
"total_nr_of_employees": 20,
"active": true,
"parent_id": null
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"name": "IT",
"total_nr_of_employees": 6,
"active": true,
"parent_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"name": "Finance",
"total_nr_of_employees": 8,
"active": true,
"parent_id": null
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown parent_id for this resource. This Organisational Unit does not exist yet."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]List Organisational Units
Get a list of all Organisational Units available in the system.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximal number of entities returned, ordered by the last_updated field and external_id.
1 <= x <= 20050
The applied offset for returned entities, results starting from offset up to offset + limit.
x >= 0This parameter can be used to only include Organisational Units with the specified parent_id as their direct parent. If parent_id="null", only root Organisational Units are included. If the parameter is not set, all entities will be included.
"c3903505-eb84-42dc-a79f-5d8b1fe897b7"
Response
OK
Total number of Organisational Unit objects stored in the system. If filtered by parent_id, only the matching units are counted.
x >= 03
Subset of Organisational Unit starting from offset up to offset + limit.
Show child attributes
Show child attributes
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"name": "Engineering",
"total_nr_of_employees": 20,
"active": true,
"parent_id": null
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"name": "IT",
"total_nr_of_employees": 6,
"active": true,
"parent_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"name": "Finance",
"total_nr_of_employees": 8,
"active": true,
"parent_id": null
}
]
Was this page helpful?